#chartcontrols {
  height: 36px;
  padding: 5px 5px 0 16px;
  max-width: 100%;
}

#chartdiv {
  /* width: 100%; */
  /* max-width: 100%; */
  height: calc(100% - 36px);
  min-height: 274px;
  max-height: 1200px;
}

/* 팝업 스타일 */
.popup-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(19, 19, 19, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999; /* z-index를 높게 설정 */
}

.popup-content {
  /* background-color: #232323; */
  padding: 10px;
  /* margin: 20px; */
  border-radius: 25px;
  border: 5px solid rgb(77, 77, 77); /* 경계선을 빨간색으로 설정 */
  width: 90%;
  max-height: 95vh; /* 최대 높이를 80vh로 설정 */
  overflow-y: auto; /* 세로 스크롤 활성화 */
  text-align: center;
  position: relative;
  color: white;
}

.popup-close {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
  font-size: 20px;
  color: white;
}

/* 반짝이는 텍스트 애니메이션 */
@keyframes blink {
  0%,
  100% {
    opacity: 1;
  }
  50% {
    opacity: 0.2;
  }
}

/* 두근두근 크기 애니메이션 */
@keyframes pulse {
  0%,
  100% {
    transform: scale(1.2);
    margin: 0 1px; /* 두근두근 효과를 위한 마진 조절 */
    padding: 0 1px; /* 두근두근 효과를 위한 패딩 조절 */
  }
  50% {
    transform: scale(1);
    margin: 0; /* 두근두근 효과를 위한 마진 조절 */
    padding: 0; /* 두근두근 효과를 위한 패딩 조절 */
  }
}

/* 반짝이는 텍스트와 두근두근 크기 애니메이션 클래스 */
.blink-text {
  display: inline-block; /* 애니메이션이 적용되도록 display 속성 추가 */
  animation: blink 1s infinite, pulse 1s infinite;
}

/* 반짝이는 효과 */
@keyframes sparkle {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: 100% 100%;
  }
}

.sparkle-text {
  background: linear-gradient(90deg, #fff, #f0f, #0ff, #fff);
  background-size: 200% 200%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: sparkle 2s linear infinite;
}

/* 환호 애니메이션 */
@keyframes cheer {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

.cheer-animation {
  animation: cheer 0.5s ease-in-out infinite;
}

/* 우울한 애니메이션 */
@keyframes sad {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0);
  }
}

.sad-animation {
  animation: sad 0.5s ease-in-out infinite;
}

/* viewer trades view */

.trade .table-container {
  max-width: 768px;
  max-height: 700px;
  height: 100%;
  margin: 0 0 0 0;
  border-radius: 8px;
  overflow-y: auto;
  background-color: #2b2b2b;
  padding: 0;
  position: relative;
}

.trade .table-header {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid #444;
  padding: 10px;
  position: sticky;
  top: 0;
  background-color: #2b2b2b;
  z-index: 10;
}

.trade .table-header div {
  font-weight: bold;
  color: #aaaaaa;
  width: 33.3%;
  text-align: center;
}

.trade .table-row {
  display: flex;
  justify-content: space-between;
  padding: 1px 0;
  border-bottom: 1px solid #444;
}

.trade .table-row:nth-child(even) {
  background-color: #333;
}

.trade .table-cell {
  width: 33.3%;
  text-align: center;
  padding: 5px 0;
}

.trade .table-index-cell {
  color: #4f40d4;
  background-color: #2a2a2a;
  width: 100%;
  text-align: center;
  padding: 5px 0;
}

.trade {
  color: white;
}

.trade .price-green {
  color: #f24743;
}

.trade .price-red {
  color: #21baad;
}
